Overview | Modules | Class Hierarchy | Classes | Members

# TemplateFactory.h File Reference

`#include <list>`
`#include <string>`
`#include <typeinfo>`
`#include <set>`
`#include "tulip/PluginLoader.h"`
`#include "tulip/WithParameter.h"`
`#include "tulip/WithDependency.h"`
`#include "tulip/Iterator.h"`
`#include "tulip/Plugin.h"`
`#include "tulip/TlpTools.h"`
`#include "tulip/PluginContext.h"`
`#include "./cxx/TemplateFactory.cxx"`

Include dependency graph for TemplateFactory.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Classes

- class tlp::TemplateFactoryInterface
- class tlp::TemplateFactory< ObjectFactory, ObjectType, Context >
- class tlp::PropertyFactory< T >

Tulip Software by LaBRI Visualization Team 2001 - 2010